classification
Title: posixmodule.c: Add flags for statvfs.f_flag to constant list
Type: enhancement Stage: patch review
Components: Extension Modules Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: christian.heimes, doko, loewis, python-dev
Priority: normal Keywords: patch

Created on 2013-11-23 15:55 by doko, last changed 2013-12-20 12:47 by doko. This issue is now closed.

Files
File name Uploaded Description Edit
statvfs-f_flag-constants.diff doko, 2013-11-23 15:55
statvfs.diff doko, 2013-11-24 13:49 review
Messages (4)
msg204043 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2013-11-23 15:55
the posix module has the statvfs call, but doesn't define any constants used as parameters. add them.
msg204111 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2013-11-23 22:01
LGTM

The patch has no doc updates, though.
msg204216 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2013-11-24 13:49
updated patch inlcluding the docs
msg205566 - (view) Author: Roundup Robot (python-dev) Date: 2013-12-08 14:23
New changeset 1d0b7e90da4d by doko in branch 'default':
- Issue #19736: Add module-level statvfs constants defined for GNU/glibc
http://hg.python.org/cpython/rev/1d0b7e90da4d
History
Date User Action Args
2013-12-20 12:47:47dokosetstatus: open -> closed
resolution: fixed
2013-12-08 14:23:34python-devsetnosy: + python-dev
messages: + msg205566
2013-11-24 13:49:26dokosetfiles: + statvfs.diff

messages: + msg204216
2013-11-23 22:01:41christian.heimessetnosy: + christian.heimes
messages: + msg204111
2013-11-23 21:28:34pitrousetnosy: + loewis
2013-11-23 15:55:58dokosettype: enhancement
stage: patch review
2013-11-23 15:55:25dokocreate